## mercurial 0.7

=== Makefile ===
# This Makefile is only used by developers.
PYTHON=python

all:
	$(PYTHON) setup.py build_ext -i

install:
	@echo "Read the file README for install instructions."

clean:
	-$(PYTHON) setup.py clean --all # ignore errors of this command
	find . -name '*.py[co]' -exec rm -f '{}' ';'
	make -C doc clean

dist:	tests doc
	TAR_OPTIONS="--owner=root --group=root --mode=u+w,go-w,a+rX-s" $(PYTHON) setup.py sdist --force-manifest

tests:
	cd tests && ./run-tests

doc:
	make -C doc


.PHONY: all clean dist tests doc

=== doc/Makefile ===
SOURCES=$(wildcard *.[0-9].txt)
MAN=$(SOURCES:%.txt=%)
HTML=$(SOURCES:%.txt=%.html)

all: man html

man: $(MAN)

html: $(HTML)

%: %.xml
	xmlto man $*.xml

%.xml: %.txt
	asciidoc -d manpage -b docbook $*.txt

%.html: %.txt
	asciidoc -b html $*.txt

clean:
	$(RM) $(MAN) $(MAN:%=%.xml) $(MAN:%=%.html)

## mercurial 0.9.5

=== Makefile ===
PREFIX=/usr/local
export PREFIX
PYTHON=python

help:
	@echo 'Commonly used make targets:'
	@echo '  all          - build program and documentation'
	@echo '  install      - install program and man pages to PREFIX ($(PREFIX))'
	@echo '  install-home - install with setup.py install --home=HOME ($(HOME))'
	@echo '  local        - build for inplace usage'
	@echo '  tests        - run all tests in the automatic test suite'
	@echo '  test-foo     - run only specified tests (e.g. test-merge1)'
	@echo '  dist         - run all tests and create a source tarball in dist/'
	@echo '  clean        - remove files created by other targets'
	@echo '                 (except installed files or dist source tarball)'
	@echo
	@echo 'Example for a system-wide installation under /usr/local:'
	@echo '  make all && su -c "make install" && hg version'
	@echo
	@echo 'Example for a local installation (usable in this directory):'
	@echo '  make local && ./hg version'

all: build doc

local:
	$(PYTHON) setup.py build_ext -i
	$(PYTHON) setup.py build_py -c -d .
	$(PYTHON) hg version

build:
	$(PYTHON) setup.py build

doc:
	$(MAKE) -C doc

clean:
	-$(PYTHON) setup.py clean --all # ignore errors of this command
	find . -name '*.py[cdo]' -exec rm -f '{}' ';'
	rm -f MANIFEST mercurial/__version__.py mercurial/*.so tests/*.err
	$(MAKE) -C doc clean

install: install-bin install-doc

install-bin: build
	$(PYTHON) setup.py install --prefix="$(PREFIX)" --force

install-doc: doc
	cd doc && $(MAKE) $(MFLAGS) install

install-home: install-home-bin install-home-doc

install-home-bin: build
	$(PYTHON) setup.py install --home="$(HOME)" --force

install-home-doc: doc
	cd doc && $(MAKE) $(MFLAGS) PREFIX="$(HOME)" install

MANIFEST-doc:
	$(MAKE) -C doc MANIFEST

MANIFEST: MANIFEST-doc
	hg manifest > MANIFEST
	echo mercurial/__version__.py >> MANIFEST
	cat doc/MANIFEST >> MANIFEST

dist:	tests dist-notests

dist-notests:	doc MANIFEST
	TAR_OPTIONS="--owner=root --group=root --mode=u+w,go-w,a+rX-s" $(PYTHON) setup.py -q sdist

tests:
	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS)

test-%:
	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS) $@


.PHONY: help all local build doc clean install install-bin install-doc \
	install-home install-home-bin install-home-doc dist dist-notests tests

=== doc/Makefile ===
SOURCES=$(wildcard *.[0-9].txt)
MAN=$(SOURCES:%.txt=%)
HTML=$(SOURCES:%.txt=%.html)
PREFIX=/usr/local
MANDIR=$(PREFIX)/share/man
INSTALL=install -c

all: man html

man: $(MAN)

html: $(HTML)

hg.1.txt: hg.1.gendoc.txt
	touch hg.1.txt

hg.1.gendoc.txt: ../mercurial/commands.py ../mercurial/help.py
	python gendoc.py > $@

%: %.xml
	xmlto man $*.xml

%.xml: %.txt
	asciidoc -d manpage -b docbook $*.txt

%.html: %.txt
	asciidoc -b html4 $*.txt || asciidoc -b html $*.txt

MANIFEST: man html
	# versionned files are already in the main MANIFEST
	$(RM) $@
	for i in $(MAN) $(HTML) hg.1.gendoc.txt; do \
	  echo "doc/$$i" >> $@ ; \
	done

install: man
	for i in $(MAN) ; do \
	  subdir=`echo $$i | sed -n 's/..*\.\([0-9]\)$$/man\1/p'` ; \
	  mkdir -p $(DESTDIR)$(MANDIR)/$$subdir ; \
	  $(INSTALL) $$i $(DESTDIR)$(MANDIR)/$$subdir ; \
	done

clean:
	$(RM) $(MAN) $(MAN:%=%.xml) $(MAN:%=%.html) *.[0-9].gendoc.txt MANIFEST

## mercurial 1.0.1

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 	python gendoc.py > $@
 
 %: %.xml
-	xmlto man $*.xml
+	xmlto man $*.xml ; \
+	sed -e 's/^\.hg/\\\&.hg/' $* > $*~ ; \
+	mv $*~ $*
 
 %.xml: %.txt
 	asciidoc -d manpage -b docbook $*.txt

## mercurial 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PREFIX=/usr/local
 export PREFIX
 PYTHON=python
+PURE=
+PYTHON_FILES:=$(shell find mercurial hgext doc -name '*.py')
 
 help:
 	@echo 'Commonly used make targets:'
@@ -13,6 +15,7 @@
 	@echo '  dist         - run all tests and create a source tarball in dist/'
 	@echo '  clean        - remove files created by other targets'
 	@echo '                 (except installed files or dist source tarball)'
+	@echo '  update-pot   - update i18n/hg.pot'
 	@echo
 	@echo 'Example for a system-wide installation under /usr/local:'
 	@echo '  make all && su -c "make install" && hg version'
@@ -23,26 +26,26 @@
 all: build doc
 
 local:
-	$(PYTHON) setup.py build_ext -i
-	$(PYTHON) setup.py build_py -c -d .
+	$(PYTHON) setup.py $(PURE) build_py -c -d . build_ext -i build_mo
 	$(PYTHON) hg version
 
 build:
-	$(PYTHON) setup.py build
+	$(PYTHON) setup.py $(PURE) build
 
 doc:
 	$(MAKE) -C doc
 
 clean:
-	-$(PYTHON) setup.py clean --all # ignore errors of this command
+	-$(PYTHON) setup.py clean --all # ignore errors from this command
 	find . -name '*.py[cdo]' -exec rm -f '{}' ';'
 	rm -f MANIFEST mercurial/__version__.py mercurial/*.so tests/*.err
+	rm -rf locale
 	$(MAKE) -C doc clean
 
 install: install-bin install-doc
 
 install-bin: build
-	$(PYTHON) setup.py install --prefix="$(PREFIX)" --force
+	$(PYTHON) setup.py $(PURE) install --prefix="$(PREFIX)" --force
 
 install-doc: doc
 	cd doc && $(MAKE) $(MFLAGS) install
@@ -50,7 +53,7 @@
 install-home: install-home-bin install-home-doc
 
 install-home-bin: build
-	$(PYTHON) setup.py install --home="$(HOME)" --force
+	$(PYTHON) setup.py $(PURE) install --home="$(HOME)" --force
 
 install-home-doc: doc
 	cd doc && $(MAKE) $(MFLAGS) PREFIX="$(HOME)" install
@@ -74,6 +77,27 @@
 test-%:
 	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS) $@
 
+update-pot: i18n/hg.pot
+
+i18n/hg.pot: $(PYTHON_FILES)
+	$(PYTHON) i18n/hggettext mercurial/commands.py \
+	  hgext/*.py hgext/*/__init__.py > i18n/hg.pot
+        # All strings marked for translation in Mercurial contain
+        # ASCII characters only. But some files contain string
+        # literals like this '\037\213'. xgettext thinks it has to
+        # parse them even though they are not marked for translation.
+        # Extracting with an explicit encoding of ISO-8859-1 will make
+        # xgettext "parse" and ignore them.
+	echo $^ | xargs \
+	  xgettext --package-name "Mercurial" \
+	  --msgid-bugs-address "<mercurial-devel@selenic.com>" \
+	  --copyright-holder "Matt Mackall <mpm@selenic.com> and others" \
+	  --from-code ISO-8859-1 --join --sort-by-file \
+	  -d hg -p i18n -o hg.pot
+
+%.po: i18n/hg.pot
+	msgmerge --no-location --update $@ $^
 
 .PHONY: help all local build doc clean install install-bin install-doc \
-	install-home install-home-bin install-home-doc dist dist-notests tests
+	install-home install-home-bin install-home-doc dist dist-notests tests \
+	update-pot

=== doc/Makefile ===
SOURCES=$(wildcard *.[0-9].txt)
MAN=$(SOURCES:%.txt=%)
HTML=$(SOURCES:%.txt=%.html)
PREFIX=/usr/local
MANDIR=$(PREFIX)/share/man
INSTALL=install -c -m 644
PYTHON=python
ASCIIDOC=asciidoc

all: man html

man: $(MAN)

html: $(HTML)

hg.1.txt: hg.1.gendoc.txt
	touch hg.1.txt

hg.1.gendoc.txt: ../mercurial/commands.py ../mercurial/help.py
	${PYTHON} gendoc.py > $@

%: %.xml
	xmlto man $*.xml && \
	sed -e 's/^\.hg/\\\&.hg/' $* > $*~ && \
	mv $*~ $*

%.xml: %.txt
	$(ASCIIDOC) -d manpage -b docbook $*.txt

%.html: %.txt
	$(ASCIIDOC) -b html4 $*.txt || $(ASCIIDOC) -b html $*.txt

MANIFEST: man html
	# tracked files are already in the main MANIFEST
	$(RM) $@
	for i in $(MAN) $(HTML) hg.1.gendoc.txt; do \
	  echo "doc/$$i" >> $@ ; \
	done

install: man
	for i in $(MAN) ; do \
	  subdir=`echo $$i | sed -n 's/^.*\.\([0-9]\)$$/man\1/p'` ; \
	  mkdir -p $(DESTDIR)$(MANDIR)/$$subdir ; \
	  $(INSTALL) $$i $(DESTDIR)$(MANDIR)/$$subdir ; \
	done

clean:
	$(RM) $(MAN) $(MAN:%=%.xml) $(MAN:%=%.html) *.[0-9].gendoc.txt MANIFEST

## mercurial 1.4.1

=== doc/Makefile ===
SOURCES=$(wildcard *.[0-9].txt)
MAN=$(SOURCES:%.txt=%)
HTML=$(SOURCES:%.txt=%.html)
GENDOC=gendoc.py ../mercurial/commands.py ../mercurial/help.py ../help/*.txt
PREFIX=/usr/local
MANDIR=$(PREFIX)/share/man
INSTALL=install -c -m 644
PYTHON=python
RST2HTML=$(shell which rst2html 2> /dev/null || which rst2html.py)

export LC_ALL=C

all: man html

man: $(MAN)

html: $(HTML)

hg.1.txt: hg.1.gendoc.txt
	touch hg.1.txt

hg.1.gendoc.txt: $(GENDOC)
	${PYTHON} gendoc.py > $@.tmp
	mv $@.tmp $@

%: %.txt common.txt
	$(PYTHON) rst2man.py --halt warning \
	  --strip-elements-with-class htmlonly $*.txt $*

%.html: %.txt common.txt
	$(RST2HTML) --halt warning \
	  --link-stylesheet --stylesheet-path style.css $*.txt $*.html

MANIFEST: man html
# tracked files are already in the main MANIFEST
	$(RM) $@
	for i in $(MAN) $(HTML) hg.1.gendoc.txt; do \
	  echo "doc/$$i" >> $@ ; \
	done

install: man
	for i in $(MAN) ; do \
	  subdir=`echo $$i | sed -n 's/^.*\.\([0-9]\)$$/man\1/p'` ; \
	  mkdir -p $(DESTDIR)$(MANDIR)/$$subdir ; \
	  $(INSTALL) $$i $(DESTDIR)$(MANDIR)/$$subdir ; \
	done

clean:
	$(RM) $(MAN) $(MAN:%=%.html) *.[0-9].gendoc.txt MANIFEST

## mercurial 1.4.1-1

=== debian/changelog ===
mercurial (1.4.1-1) stable; urgency=low

  Fixed (large) icon.

 -- Madhusudan.C.S <madhusudancs@gmail.com>  Wed, 23 Dec 2009 23:39:45 +0000

=== debian/control ===
Source: mercurial
Section: user/development
Priority: extra
Maintainer: Madhusudan.C.S <madhusudancs@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mercurial
Architecture: all
Depends: libc6 (>= 2.4), python (<< 2.7), python (>= 2.5), python-support (>= 0.90.0), ucf (>= 2.0020), mercurial-common (= 1.3.1-1)
Description: calable distributed version control system Mercurial is a fast, lightweight Source Control Management system designed for efficient handling of very large distributed projects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mercurial" install
	mkdir -p "$(CURDIR)/debian/mercurial"

#	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/de/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/locale/de/LC_MESSAGES/hg.mo" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/de/LC_MESSAGES/hg.mo"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/pt_BR/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/locale/pt_BR/LC_MESSAGES/hg.mo" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/pt_BR/LC_MESSAGES/hg.mo"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/it/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/locale/it/LC_MESSAGES/hg.mo" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/it/LC_MESSAGES/hg.mo"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/coal/header.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/header.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/coal/map" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/map"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/branches.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/branches.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/changeset.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/changeset.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/error.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/error.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/fileannotate.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/fileannotate.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filediff.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filediff.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelog.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelog.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelogentry.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelogentry.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filerevision.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filerevision.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/footer.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/footer.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/graph.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/graph.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/header.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/header.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/index.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/index.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/manifest.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/manifest.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/map" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/map"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/notfound.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/notfound.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/search.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/search.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlog.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlog.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlogentry.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlogentry.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/tags.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/tags.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/"

## mercurial 1.4.3

=== Makefile ===
--- 
+++ 
@@ -79,16 +79,16 @@
 
 update-pot: i18n/hg.pot
 
-i18n/hg.pot: $(PYTHON_FILES)
+i18n/hg.pot: $(PYTHON_FILES) help/*.txt
 	$(PYTHON) i18n/hggettext mercurial/commands.py \
-	  hgext/*.py hgext/*/__init__.py > i18n/hg.pot
+	  hgext/*.py hgext/*/__init__.py help/*.txt > i18n/hg.pot
         # All strings marked for translation in Mercurial contain
         # ASCII characters only. But some files contain string
         # literals like this '\037\213'. xgettext thinks it has to
         # parse them even though they are not marked for translation.
         # Extracting with an explicit encoding of ISO-8859-1 will make
         # xgettext "parse" and ignore them.
-	echo $^ | xargs \
+	echo $(PYTHON_FILES) | xargs \
 	  xgettext --package-name "Mercurial" \
 	  --msgid-bugs-address "<mercurial-devel@selenic.com>" \
 	  --copyright-holder "Matt Mackall <mpm@selenic.com> and others" \

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 MANDIR=$(PREFIX)/share/man
 INSTALL=install -c -m 644
 PYTHON=python
-RST2HTML=$(shell which rst2html 2> /dev/null || which rst2html.py)
+RST2HTML=$(shell which rst2html 2> /dev/null || echo rst2html.py)
 
 export LC_ALL=C

## mercurial 1.6.3

=== debian/changelog ===
mercurial (1.6.3-1) experimental; urgency=low

  * New upstream release 1.6.3
  * Deleted patch from_upstream__issue2255fix-basicauth.diff which is now
        included upstream.

 -- Javi Merino <cibervicho@gmail.com>  Tue, 31 Aug 2010 10:12:42 +0200

mercurial (1.6.2-2) unstable; urgency=low

  * The patch that fixed #586907 was not being applied. Now it should
        work. (Closes: #586907)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 26 Aug 2010 16:31:09 +0200

mercurial (1.6.2-1) unstable; urgency=low

  * New upstream release 1.6.2
  * Dropped build-depend on quilt (Closes: #588671)
  * Added a patch from upstream that works around a bug in python 2.6.5
      (Closes: #586907)
  * Updated Standards-Version to 3.9.1.0 (no change needed)
  * Deleted patch for_upstream__add_doc_url_in_example_files.patch which
      is now in upstream.

 -- Javi Merino <cibervicho@gmail.com>  Fri, 06 Aug 2010 10:43:06 +0200

mercurial (1.6-2) unstable; urgency=low

  * Mercurial 1.6 breaks old versions of hg-git (Closes: #588336)

 -- Javi Merino <cibervicho@gmail.com>  Wed, 07 Jul 2010 15:48:53 +0200

mercurial (1.6-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release (1.6). Many bug fixes and improvements. Among
      them:
    - push: break infinite http recursion bug with Python 2.6.5
         (issue2179 and issue2255) (Closes: #586907)
    - zeroconf: Don't use string exceptions (Closes: #585250)
  * Removed patch for_upstream__bashism_in_examples.patch since a fix for
      #581122 is included upstream.
  * Updated Standards-Version to 3.9 (no change needed)

  [ Vincent Danjean ]
  * debian/control:
    + Use Breaks instead of Conflicts
    + Use a fixed version in Replaces
      I put 1.4 but it has been a long time since nothing has been moved
      from mercurial to mercurial-common

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 Jul 2010 09:55:28 +0200

mercurial (1.5.4-2) unstable; urgency=low

  * Fix regression in python 2.6.5 (Closes: #586907)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 24 Jun 2010 12:46:57 +0200

mercurial (1.5.4-1) unstable; urgency=low

  * New upstream release (1.5.3). Fixes:
    * fix Issue2181 (commit generates traceback on Nonetype)
    * various improvements to SVN conversion support
    * minor doc improvements
  * New upstream release (1.5.4) (Closes: #586322). Fixes:
    * dispatch: include Python version in traceback
    * push: update help
    * status: avoid performance regression when no .hgsub is present
    * clone: fix performance issue with hardlinks and Windows shares
    * hgweb: fix race in refreshing repo list (issue2188)
    * hgrc: clarify that hgrc keys can be overridden and sections can be split
    * eol: new extension for managing file newlines based on a version
        controlled configuration file
    * pager: fork and exec pager as parent process with /bin/sh -c
    * rebase: stress that only local changesets should be rebased
    * convert/svn: close gettags() log stream (issue2196)
    * record: check that we are not committing a merge before patch selection

 -- Javi Merino <cibervicho@gmail.com>  Wed, 16 Jun 2010 09:51:21 +0200

mercurial (1.5.2-1) unstable; urgency=low

  * New upstream release. Many minor fixes:
    + Core
      * clone: fix URL too long problem with many heads
      * commands: revised documentation of 'default' and 'default-push'
      * copies: properly visit file context ancestors on working file contexts
      * diffstat: use ui.plain() instead of ui.interactive()
      * dirstate: fix in memory dirstate entries for 1-second race
      * dispatch: don't mangle ImportError abort messages
      * filemerge: use working dir parent as ancestor for backward wdir merge
      * hgrc.5: describe form of config values and mention lists as well
      * hgweb: fix attribute error in error response (issue2060)
      * log: document the new xml style
      * merge: correctly compute the flag for noexec filesystems
      * patch: don't look for headers in diff lines
      * push: fix bug in warning message selection
      * revlog: fix lazyparser.__iter__() to return all revisions (issue2137)
      * static-http: allow clone -r (issue2164)
      * subrepo: fix repo root path handling in svn subrepo
      * subrepo: propagate and catch push failures
      * templates: document missing template variables
      * util: fix default termwidth() under Windows
      * util: use an explicit prefix for checkexec/checklink temporary files 
    + Extensions
      * convert/cvs: skip bad tags
      * convert/git: check status when reading output stream
      * convert/subversion: fix default URL checker prototype
      * mq: rewrite strip docstrings
      * mq: use util.unlink instead of os.unlink and os.removedirs
      * schemes: fix // breakage with Python 2.6.5 (issue2111) 
  * Fix "bashism in /bin/sh hgeditor script" (changing shebang line)
    (Closes: #581122)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 May 2010 11:01:25 +0200

mercurial (1.5.1-2) unstable; urgency=low

  * Refresh debian patches
  * Install localization files in the right place (Closes: #577132)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 10 Apr 2010 06:58:38 +0200

mercurial (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Apr 2010 10:45:26 +0200

mercurial (1.5-1) unstable; urgency=low

  * New upstream release
    + Fix "Reserved revnos aren't." (Closes: #552423)
    + Fix "Exception in zeroconf shows up in unrelated commands"
      (Closes: #572963)
    + Fix "/usr/bin/hg: HG(1) missing --config option syntax"
      (Closes: #548413)
    + Fix "A -> B, C -> A rename breaks diff --git" (Closes: #560386)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 12 Mar 2010 15:10:33 +0100

mercurial (1.4.3-1) unstable; urgency=low

  * New upstream release. (Closes: #569612)
  * Updated Standards-Version to 3.8.4 (no change needed)


=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Vernon Tang <vt@foilhead.net>,
 Javi Merino <cibervicho@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
 patchutils (>= 0.2.25), gettext,
 python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
 zip, unzip
Standards-Version: 3.9.1.0
Homepage: http://www.selenic.com/mercurial/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/

Package: mercurial-common
Architecture: all 
Depends: ${misc:Depends}, ${python:Depends}
Recommends: mercurial (= ${binary:Version})
Suggests: wish,
 python-mysqldb, 
 python-pygments,
 python-openssl
Breaks: mercurial (<< ${binary:Version})
Replaces: mercurial (<< 1.4)
Description: scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
 mercurial-common (= ${source:Version})
Suggests: qct, 
 wish, 
 vim | emacs,
 kdiff3 | tkdiff | meld | xxdiff
Breaks: mercurial-git (<< 0.2.3)
Description: scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.

## mercurial 1.6.4

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# If you want to change PREFIX, do not just edit it below. The changed
+# value wont get passed on to recursive make calls. You should instead
+# override the variable on the command like:
+#
+# % make PREFIX=/opt/ install
+
 PREFIX=/usr/local
 export PREFIX
 PYTHON=python
@@ -39,13 +45,13 @@
 	-$(PYTHON) setup.py clean --all # ignore errors from this command
 	find . -name '*.py[cdo]' -exec rm -f '{}' ';'
 	rm -f MANIFEST mercurial/__version__.py mercurial/*.so tests/*.err
-	rm -rf locale
+	rm -rf mercurial/locale
 	$(MAKE) -C doc clean
 
 install: install-bin install-doc
 
 install-bin: build
-	$(PYTHON) setup.py $(PURE) install --prefix="$(PREFIX)" --force
+	$(PYTHON) setup.py $(PURE) install --root="$(DESTDIR)/" --prefix="$(PREFIX)" --force
 
 install-doc: doc
 	cd doc && $(MAKE) $(MFLAGS) install
@@ -79,9 +85,9 @@
 
 update-pot: i18n/hg.pot
 
-i18n/hg.pot: $(PYTHON_FILES) help/*.txt
+i18n/hg.pot: $(PYTHON_FILES) mercurial/help/*.txt
 	$(PYTHON) i18n/hggettext mercurial/commands.py \
-	  hgext/*.py hgext/*/__init__.py help/*.txt > i18n/hg.pot
+	  hgext/*.py hgext/*/__init__.py mercurial/help/*.txt > i18n/hg.pot
         # All strings marked for translation in Mercurial contain
         # ASCII characters only. But some files contain string
         # literals like this '\037\213'. xgettext thinks it has to
@@ -94,6 +100,7 @@
 	  --copyright-holder "Matt Mackall <mpm@selenic.com> and others" \
 	  --from-code ISO-8859-1 --join --sort-by-file \
 	  -d hg -p i18n -o hg.pot
+	$(PYTHON) i18n/posplit i18n/hg.pot
 
 %.po: i18n/hg.pot
 	msgmerge --no-location --update $@ $^

=== doc/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 SOURCES=$(wildcard *.[0-9].txt)
 MAN=$(SOURCES:%.txt=%)
 HTML=$(SOURCES:%.txt=%.html)
-GENDOC=gendoc.py ../mercurial/commands.py ../mercurial/help.py ../help/*.txt
+GENDOC=gendoc.py ../mercurial/commands.py ../mercurial/help.py ../mercurial/help/*.txt
 PREFIX=/usr/local
 MANDIR=$(PREFIX)/share/man
 INSTALL=install -c -m 644
 PYTHON=python
-RST2HTML=$(shell which rst2html 2> /dev/null || echo rst2html.py)
 
+export LANGUAGE=C
 export LC_ALL=C
 
 all: man html
@@ -24,11 +24,11 @@
 	mv $@.tmp $@
 
 %: %.txt common.txt
-	$(PYTHON) rst2man.py --halt warning \
+	$(PYTHON) runrst hgmanpage --halt warning \
 	  --strip-elements-with-class htmlonly $*.txt $*
 
 %.html: %.txt common.txt
-	$(RST2HTML) --halt warning \
+	$(PYTHON) runrst html --halt warning \
 	  --link-stylesheet --stylesheet-path style.css $*.txt $*.html
 
 MANIFEST: man html

=== debian/changelog ===
mercurial (1.6.4-1+deb6u1) squeeze-lts; urgency=medium

  [Javi Merino]
  * Fix "CVE-2014-9462" by adding patch
    from_upstream__sshpeer_more_thorough_shell_quoting.patch
  * Fix "CVE-2014-9390: Errors in handling case-sensitive directories
    allow for remote code execution on pull" by adding patches
    from_upstream__encoding_add_hfsignoreclean_to_clean_out_HFS-ignored_characters.patch,
    from_upstream__pathauditor_check_for_codepoints_ignored_on_OS_X.patch,
    and
    from_upstream__pathauditor_check_for_Windows_shortname_aliases.patch

  [Guido Günther]
  * Fix "CVE-2014-9462" by adding patch
    from_upstream__sshpeer_even_more_thorough_shell_quoting.patch
  * Run tests for CVE-2014-9390 by adding patch
    from_upstream__test_CVE-2014-930.patch
  
 -- Javi Merino <vicho@debian.org>  Tue, 02 Jun 2015 20:54:24 +0100

mercurial (1.6.4-1) unstable; urgency=low

  * New upstream release 1.6.4 (Closes: #598850)
  * Verify ssl validity in https connections (Closes: #598841)

 -- Javi Merino <cibervicho@gmail.com>  Mon, 04 Oct 2010 07:37:33 -0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Vernon Tang <vt@foilhead.net>,
  Javi Merino <cibervicho@gmail.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50),
  patchutils (>= 0.2.25), gettext,
  python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@

PYVERS=$(shell pyversions -vs)

override_dh_auto_build: $(PYVERS:%=build-python%)
	$(MAKE) -C doc man
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Tests are not yet ready to be run in Debian build context
	#$(MAKE) tests
	chmod a+x tests/test-CVE-2014-9390
	make test-CVE-2014-9390
endif
	# Do not start a line with a word with a dot in a manpage
	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1

build-python%: mercurial/__version__.py
	python$* setup.py build
	touch $@

override_dh_auto_install: $(PYVERS:%=install-python%)

install-python%: build-python%
	python$* setup.py install --root $(CURDIR)/debian/tmp --install-layout=deb
	# Do not hardcode the python interpreter
	sed -i '1c#!/usr/bin/python' debian/tmp/usr/bin/hg


override_dh_install:
	dh_install
	if test -d $(CURDIR)/debian/mercurial ; then \
		$(MAKE) -f debian/rules install-archdep ; \
	fi
	if test -d $(CURDIR)/debian/mercurial-common ; then \
		$(MAKE) -f debian/rules install-archindep ;\
	fi

install-archdep:
	# Install bash autocompletion.
	install -m 644 \
		contrib/bash_completion \
		$(CURDIR)/debian/mercurial/etc/bash_completion.d/mercurial
	# Install system-wide conffiles
	echo "# system-wide mercurial configuration file" \
		>  $(CURDIR)/debian/mercurial/etc/mercurial/hgrc
	echo "# See hgrc(5) for more information" \
		>>  $(CURDIR)/debian/mercurial/etc/mercurial/hgrc
	install -m 644 \
		contrib/mergetools.hgrc \
		$(CURDIR)/debian/mercurial/etc/mercurial/hgrc.d/mergetools.rc
	# remove arch-independent python stuff
	find debian/mercurial/usr/lib \
		! -name '*.so' ! -type d -delete , \
		-type d -empty -delete

install-archindep:
	# remove arch-dependent python stuff
	find debian/mercurial-common/usr/lib \
		-name '*.so' ! -type d -delete , \
		-type d -empty -delete

override_dh_auto_clean: mercurial/__version__.py
	cp -a mercurial/__version__.py mercurial/__version__.py.save
	$(MAKE) clean
	mv mercurial/__version__.py.save mercurial/__version__.py
	$(RM) -rv tmp/
	$(RM) build-python*

mercurial/__version__.py:
	@echo "$@ is missing (you probably call 'make clean' directly)."
	@echo "Restore it from sources before building the package"
	@echo "Aborting."
	exit 1

## mercurial 1.7.5

=== debian/changelog ===
mercurial (1.7.5-1ubuntu1) natty; urgency=low

  * deb_specific__disable_libdir_replacement.patch [from 1.8.1-3]:
    Disable @LIBDIR@ replacement in the hg script, by setup.py (LP: #745250)

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 31 Mar 2011 00:40:39 +0200

mercurial (1.7.5-1) unstable; urgency=low

  * New upstream release 1.7.5
  * Delete patch for_upstream__typo_in_manpage.patch which is now
    included upstream
  * Add patch for_upstream__add_backquote_fname.patch , proposed
    upstream (Closes: #611419)
  * Add patch from_upstream__fix_611420.patch which will be part of the
    next mercurial release (Closes: #611420)

 -- Javi Merino <cibervicho@gmail.com>  Sat, 05 Feb 2011 21:05:19 +0000

mercurial (1.7.3-1) experimental; urgency=low

  * New upstream release 1.7.3
  * Add patch for_upstream__typo_in_manpage

 -- Javi Merino <cibervicho@gmail.com>  Tue, 25 Jan 2011 22:22:56 +0000

mercurial (1.7.2-1) experimental; urgency=low

  * New upstream release 1.7.2 (Closes: #606678)
  * Fix typo in NEWS (Closes: #605541)
  * Delete deb_specific__python-module-not-script.patch and
        deb_specific__mergetools
  * Update dh compatibility to 8

 -- Javi Merino <cibervicho@gmail.com>  Mon, 13 Dec 2010 21:34:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Vernon Tang <vt@foilhead.net>,
  Javi Merino <cibervicho@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 8.0.0),
  patchutils (>= 0.2.25), gettext,
  python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
  zip, unzip
 Standards-Version: 3.9.1.0
-Homepage: http://www.selenic.com/mercurial/
+Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Tests are not yet ready to be run in Debian build context
 	#$(MAKE) tests
-	chmod a+x tests/test-CVE-2014-9390
-	make test-CVE-2014-9390
 endif
 	# Do not start a line with a word with a dot in a manpage
 	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=2

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php mercurial-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/mercurial-(.*)\.tar\.gz

# Uncommment to examine a FTP server
http://www.selenic.com/mercurial/release/mercurial-([^s].*)\.tar\.gz

## mercurial 1.8.1

=== debian/changelog ===
mercurial (1.8.1-3) unstable; urgency=low

  * Team Upload
  * deb_specific__disable_libdir_replacement.patch: Disable @LIBDIR@
    replacement in the hg script, by setup.py (Closes: #620087, LP: #745250)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Mar 2011 00:06:02 +0200

mercurial (1.8.1-2) unstable; urgency=low

  [ Vincent Danjean ]
  * Set /etc/ssl/certs/ca-certificates.crt as default valid root
    certificates and add a recommends to the ca-certificates package
    (Closes: #619821)

  [ Javi Merino ]
  * Mercurial 1.8 breaks hg-git, add that info to debian/control
    (Closes: #619930)

 -- Javi Merino <cibervicho@gmail.com>  Mon, 28 Mar 2011 21:51:40 +0100

mercurial (1.8.1-1) unstable; urgency=low

  * New upstream release 1.8.1 backs out a behavior change for so-called
    'fast-forward' merges on named branches.

 -- Javi Merino <cibervicho@gmail.com>  Sat, 12 Mar 2011 19:01:16 +0000

mercurial (1.8-1) unstable; urgency=low

  * New upstream release 1.8. Many new features and bugfixes, among them:
    - hgk: realize it is hgk and not gitk (Closes: #613339)

 -- Javi Merino <cibervicho@gmail.com>  Sun, 06 Mar 2011 16:01:58 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: mercurial-common
 Architecture: all 
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: mercurial (= ${binary:Version})
+Recommends: mercurial (= ${binary:Version}), ca-certificates
 Suggests: wish,
  python-mysqldb, 
  python-pygments,
@@ -40,7 +40,7 @@
  wish, 
  vim | emacs,
  kdiff3 | tkdiff | meld | xxdiff
-Breaks: mercurial-git (<< 0.2.3)
+Breaks: mercurial-git (<< 0.2.6)
 Description: scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.

## mercurial 1.8.3

=== debian/changelog ===
mercurial (1.8.3-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release 1.8.3
  * Upgrade Debian Policy to 3.9.2.0

  [ Jonathan Nieder ]
  * Make mercurial-common's Recommends field binNMU-safe (Closes: #626132)

 -- Javi Merino <cibervicho@gmail.com>  Tue, 10 May 2011 20:37:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  patchutils (>= 0.2.25), gettext,
  python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
  zip, unzip
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
@@ -18,12 +18,12 @@
 Package: mercurial-common
 Architecture: all 
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: mercurial (= ${binary:Version}), ca-certificates
+Recommends: mercurial (>= ${source:Version}), ca-certificates
 Suggests: wish,
  python-mysqldb, 
  python-pygments,
  python-openssl
-Breaks: mercurial (<< ${binary:Version})
+Breaks: mercurial (<< ${source:Version})
 Replaces: mercurial (<< 1.4)
 Description: scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,9 @@
 	install -m 644 \
 		contrib/mergetools.hgrc \
 		$(CURDIR)/debian/mercurial/etc/mercurial/hgrc.d/mergetools.rc
+	install -m 644 \
+		debian/cacerts.hgrc \
+		$(CURDIR)/debian/mercurial/etc/mercurial/hgrc.d/cacerts.rc
 	# remove arch-independent python stuff
 	find debian/mercurial/usr/lib \
 		! -name '*.so' ! -type d -delete , \

## mercurial 1.9.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 export PREFIX
 PYTHON=python
 PURE=
-PYTHON_FILES:=$(shell find mercurial hgext doc -name '*.py')
+PYFILES:=$(shell find mercurial hgext doc -name '*.py')
+DOCFILES=mercurial/help/*.txt
 
 help:
 	@echo 'Commonly used make targets:'
@@ -43,9 +44,10 @@
 
 clean:
 	-$(PYTHON) setup.py clean --all # ignore errors from this command
-	find . -name '*.py[cdo]' -exec rm -f '{}' ';'
-	rm -f MANIFEST mercurial/__version__.py mercurial/*.so tests/*.err
-	rm -rf mercurial/locale
+	find . \( -name '*.py[cdo]' -o -name '*.so' \) -exec rm -f '{}' ';'
+	rm -f $(addprefix mercurial/,$(notdir $(wildcard mercurial/pure/*.py)))
+	rm -f MANIFEST MANIFEST.in tests/*.err
+	rm -rf build mercurial/locale
 	$(MAKE) -C doc clean
 
 install: install-bin install-doc
@@ -67,15 +69,17 @@
 MANIFEST-doc:
 	$(MAKE) -C doc MANIFEST
 
-MANIFEST: MANIFEST-doc
-	hg manifest > MANIFEST
-	echo mercurial/__version__.py >> MANIFEST
-	cat doc/MANIFEST >> MANIFEST
+MANIFEST.in: MANIFEST-doc
+	hg manifest | sed -e 's/^/include /' > MANIFEST.in
+	echo include mercurial/__version__.py >> MANIFEST.in
+	sed -e 's/^/include /' < doc/MANIFEST >> MANIFEST.in
 
 dist:	tests dist-notests
 
-dist-notests:	doc MANIFEST
+dist-notests:	doc MANIFEST.in
 	TAR_OPTIONS="--owner=root --group=root --mode=u+w,go-w,a+rX-s" $(PYTHON) setup.py -q sdist
+
+check: tests
 
 tests:
 	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS)
@@ -85,20 +89,22 @@
 
 update-pot: i18n/hg.pot
 
-i18n/hg.pot: $(PYTHON_FILES) mercurial/help/*.txt
+i18n/hg.pot: $(PYFILES) $(DOCFILES)
 	$(PYTHON) i18n/hggettext mercurial/commands.py \
-	  hgext/*.py hgext/*/__init__.py mercurial/help/*.txt > i18n/hg.pot
+	  hgext/*.py hgext/*/__init__.py mercurial/fileset.py mercurial/revset.py \
+	  mercurial/templatefilters.py mercurial/templatekw.py \
+	  $(DOCFILES) > i18n/hg.pot
         # All strings marked for translation in Mercurial contain
         # ASCII characters only. But some files contain string
         # literals like this '\037\213'. xgettext thinks it has to
         # parse them even though they are not marked for translation.
         # Extracting with an explicit encoding of ISO-8859-1 will make
         # xgettext "parse" and ignore them.
-	echo $(PYTHON_FILES) | xargs \
+	echo $(PYFILES) | xargs \
 	  xgettext --package-name "Mercurial" \
 	  --msgid-bugs-address "<mercurial-devel@selenic.com>" \
 	  --copyright-holder "Matt Mackall <mpm@selenic.com> and others" \
-	  --from-code ISO-8859-1 --join --sort-by-file \
+	  --from-code ISO-8859-1 --join --sort-by-file --add-comments=i18n: \
 	  -d hg -p i18n -o hg.pot
 	$(PYTHON) i18n/posplit i18n/hg.pot

=== debian/changelog ===
mercurial (1.9.1-1) unstable; urgency=low

  * Convert to dh_python2
  * New upstream release 1.9.1 fixes "cannot import mercurial.httpclient
    with Python 2.7: 'module' object has no attribute 'PROTOCOL_SSLv2'"
    (Closes: #635496)

 -- Javi Merino <cibervicho@gmail.com>  Wed, 03 Aug 2011 08:00:03 +0100

mercurial (1.9-1) unstable; urgency=low

  * New upstream release 1.9 (Closes: #632250)
  * Strip trailing .0 from Debian Policy
  * Remove template warnings from debian/watch to remove a lintian
    warning

 -- Javi Merino <cibervicho@gmail.com>  Fri, 22 Jul 2011 19:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0),
  patchutils (>= 0.2.25), gettext,
- python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
+ python-all-dev (>= 2.6.6-3~), python-docutils,
  zip, unzip
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.2
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
+X-Python-Version: >= 2.4
 
 Package: mercurial-common
 Architecture: all

=== debian/watch ===
# Compulsory line, this is a version 2 file
version=2

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php mercurial-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
http://www.selenic.com/mercurial/release/mercurial-([^s].*)\.tar\.gz

## mercurial 1.9.3

=== debian/changelog ===
mercurial (1.9.3-1) unstable; urgency=low

  * New upstream release 1.9.3.

 -- Javi Merino <cibervicho@gmail.com>  Tue, 11 Oct 2011 22:31:33 +0100

mercurial (1.9.2-1) unstable; urgency=low

  * New upstream release 1.9.2.
  * Remove old code that removed cruft from site-packages

 -- Javi Merino <cibervicho@gmail.com>  Mon, 12 Sep 2011 20:55:12 +0100

mercurial (1.9.1-2) unstable; urgency=low

  * Update breaks to include all the packages that mercurial-1.9.1-1 broke
    because of the uncoordinated transition to dh_python2.

 -- Javi Merino <cibervicho@gmail.com>  Wed, 10 Aug 2011 21:37:37 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python-openssl
 Breaks: mercurial (<< ${source:Version})
 Replaces: mercurial (<< 1.4)
-Description: scalable distributed version control system (common files)
+Description: easy-to-use, scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
  . 
@@ -41,8 +41,8 @@
  wish, 
  vim | emacs,
  kdiff3 | tkdiff | meld | xxdiff
-Breaks: mercurial-git (<< 0.2.6)
-Description: scalable distributed version control system
+Breaks: hgsubversion (<= 1.2.1-2), hgview (<= 1.2.1-1), mercurial-git (<< 0.2.6-2), qct (<= 1.7-1)
+Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
  .

=== debian/rules ===
--- 
+++ 
@@ -2,18 +2,17 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 %:
-	dh $@
+	dh $@ --with python2
 
 PYVERS=$(shell pyversions -vs)
 
 override_dh_auto_build: $(PYVERS:%=build-python%)
 	$(MAKE) -C doc man
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Tests are not yet ready to be run in Debian build context
-	#$(MAKE) tests
-endif
 	# Do not start a line with a word with a dot in a manpage
 	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1
+
+# Tests are not yet ready to be run in Debian build context
+override_dh_auto_test:
 
 build-python%: mercurial/__version__.py
 	python$* setup.py build

## mercurial 2.0

=== debian/changelog ===
mercurial (2.0-2) unstable; urgency=low

  * Fix "Cloning fails with: mpatch.mpatchError: patch cannot be decoded"
    by not compiling bdiff.c with optimizations in armel.  This is
    probably a bug in gcc-4.6 (gcc 4.5 works fine) but while it's solved,
    at least mercurial works again in armel (Closes: #636396)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 03 Nov 2011 23:00:43 +0000

mercurial (2.0-1) unstable; urgency=low

  * New upstream release 2.0
  * Don't include empty directories in the package

 -- Javi Merino <cibervicho@gmail.com>  Tue, 01 Nov 2011 22:40:40 +0000

mercurial (1.9.999+2.0rc1-1) experimental; urgency=low

  * Upstream 2.0 Release Candidate 1
  * Cover more uses of "defaults to sensible-editor" in the
    documentation and support ru and ro translations.

 -- Javi Merino <cibervicho@gmail.com>  Sun, 30 Oct 2011 13:20:38 +0000
